Skip to main content
GET
Find articles that mention a specific stock ticker or company.

Query Parameters

ticker
string

Stock ticker, 1-8 characters (letters, numbers, . or -). At least one of ticker or company is required.

Required string length: 1 - 8
Pattern: ^[A-Za-z0-9.-]+$
company
string

Company name, matched as a case-insensitive substring.

Minimum string length: 2
publicationSlug
string

Restrict results to one publication.

publishedAfter
string<date>

Inclusive UTC calendar day lower bound, YYYY-MM-DD.

publishedBefore
string<date>

Inclusive UTC calendar day upper bound, YYYY-MM-DD.

limit
integer
default:10

Maximum number of items returned (1-30).

Required range: 1 <= x <= 30
cursor
string

Pass the previous response's nextCursor to fetch the next page.

Response

Matched articles, most recent first.

query
object
required
count
integer
required

Number of items in this page.

Required range: x >= 0
nextCursor
string | null
required

Pass to the cursor param to fetch the next page; null when no more results.

items
object[]
required